> ## Documentation Index
> Fetch the complete documentation index at: https://aci.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute



## OpenAPI

````yaml post /v1/functions/{function_name}/execute
openapi: 3.1.0
info:
  title: Aipolabs
  version: 0.0.1-beta.3
servers: []
security: []
paths:
  /v1/functions/{function_name}/execute:
    post:
      tags:
        - functions
      summary: Execute
      operationId: functions-execute
      parameters:
        - name: function_name
          in: path
          required: true
          schema:
            type: string
            title: Function Name
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FunctionExecute'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FunctionExecutionResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    FunctionExecute:
      properties:
        function_input:
          type: object
          title: Function Input
          description: The input parameters for the function.
        linked_account_owner_id:
          type: string
          maxLength: 255
          title: Linked Account Owner Id
          description: >-
            The owner id of the linked account. This is the id of the linked
            account owner in the linked account provider.
      type: object
      required:
        - linked_account_owner_id
      title: FunctionExecute
    FunctionExecutionResult:
      properties:
        success:
          type: boolean
          title: Success
        data:
          anyOf:
            - {}
            - type: 'null'
          title: Data
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - success
      title: FunctionExecutionResult
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: API key for authentication
      in: header
      name: X-API-KEY

````